aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-portage/g-octave')
-rw-r--r--app-portage/g-octave/ChangeLog6
-rw-r--r--app-portage/g-octave/Manifest11
-rw-r--r--app-portage/g-octave/g-octave-0.3.ebuild79
-rw-r--r--app-portage/g-octave/g-octave-0.4.ebuild84
-rw-r--r--app-portage/g-octave/metadata.xml6
5 files changed, 95 insertions, 91 deletions
diff --git a/app-portage/g-octave/ChangeLog b/app-portage/g-octave/ChangeLog
index d08e2c1a1..564fda73a 100644
--- a/app-portage/g-octave/ChangeLog
+++ b/app-portage/g-octave/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*g-octave-0.4 (04 Aug 2010)
+
+ 04 Aug 2010; Rafael Goncalves Martins <rafael@rafaelmartins.eng.br>
+ -g-octave-0.3.ebuild, +g-octave-0.4.ebuild, metadata.xml:
+ Version bump.
+
01 Aug 2010; Rafael Goncalves Martins <rafael@rafaelmartins.eng.br>
g-octave-9999.ebuild:
Removed the svn dependency from the live ebuild
diff --git a/app-portage/g-octave/Manifest b/app-portage/g-octave/Manifest
index 783dc8ace..340e4601d 100644
--- a/app-portage/g-octave/Manifest
+++ b/app-portage/g-octave/Manifest
@@ -1,7 +1,6 @@
-DIST g-octave-0.3.tar.gz 52270 RMD160 0a0f9786526dccab740557c881986a7b06d905d5 SHA1 ea2b40b5eb060ab6a845751f951ac826ddbcd7e6 SHA256 ec533ad529c8bc785132fbf25b72b081b1a81068e95c93cabd1d5ec82bd877cc
-DIST info-1278111487-1.json 1530 RMD160 1108da31ceda6394af5aceb43679c58b9a28a60a SHA1 b6788e2d1e7c553ca6bb836a57cc5b05f485f621 SHA256 18faad69984ebc16b6ff0b22efc9e6c06d44e047c847c7543f3e8fba186ad3eb
-DIST octave-forge-1278111487.db.tar.gz 13425 RMD160 7a8e13df0de7ac9ca2af3f4a3f46e4bc01b97e3d SHA1 2d7ca14c17e69ed521bc952552333cc37eabe359 SHA256 5a86ea263b8c57422c1d7fd57a2ddc63683dc942e716687e0c5f9acbd385968f
-EBUILD g-octave-0.3.ebuild 2304 RMD160 e05a1b924ea8168d5b087fb7cbd0a6ca68324835 SHA1 4008cc40e25c53dbc36396a401c4403e230fa687 SHA256 969a4f9c88388f3a4912eec158f7bf88ed9f0df589e462484e0290cda6d5c982
+DIST g-octave-0.4-db.tar.gz 18820 RMD160 2048d91cf87a8712d4a47a3b034861d51af3d944 SHA1 63b551dadc9962713633b972131015e02d797ae4 SHA256 503619abefa07822bdea5f43068217949f54a98cdd5ddf220f97ac3de21877a6
+DIST g-octave-0.4.tar.gz 52853 RMD160 04daf2b8734a212bb711f275fbbe856a5f3dfea7 SHA1 0bf57bbb35302769df8e76452b810a82916b2791 SHA256 980b3d96cb4d3d5376c85c3c06da9be15d3efffd431a3ed7f994793c11d66ad0
+EBUILD g-octave-0.4.ebuild 2098 RMD160 16c43b0e47199b5f85cf48053ea3e4965574d339 SHA1 0d3255a48878bf5ffda9103666b105396dda2678 SHA256 088eafcf6a53ad4abe6b640817a30e5c2cadbd60551848d265c6410a3f3db398
EBUILD g-octave-9999.ebuild 777 RMD160 b48e16d79c71936dbf96988e8d0757b9e63593c6 SHA1 55902ceb7c1f000a7f77285fe25ce43d18245f36 SHA256 a9e09fcfca991681ccb72fbc279cddde6139c3ab35e619f44bf6eed4f6d542d9
-MISC ChangeLog 2250 RMD160 0246d032b2375f832053979245bb07aa05cb210f SHA1 294cb9413d4d89078eaea291348155aaa5c44255 SHA256 2289edfe21a17af8bc05ae9d1b672f7e6e0cdf1e9f0d5f3cf3f7867a076a82fe
-MISC metadata.xml 889 RMD160 6cd8b7a8e3d52a6b6d2f4f702987838424d93fa2 SHA1 c385586c3896eef73bca782bcd2b5d198fd096da SHA256 7e04a432c79a3db31fc33cce53e5ef102ce421f2264470de709a2bcc498c5a6e
+MISC ChangeLog 2426 RMD160 56cde46f146717082672e4e0d26c1d36b0bce161 SHA1 238b123891ff4937cc29276a7c3409b7da304553 SHA256 452a016bd303f8efb70b9cb46c4f7a0075f0d2b3ed20f2be94f4f4e29291f794
+MISC metadata.xml 755 RMD160 c95cb26b5d1414bdc32e75426611fa2958b0ad0a SHA1 ede641c7cd18ad0f7956a81eaaab2e763f8197ba SHA256 cb005e8d8ce6bf8bad8e99edb3344916d0d5e61dbf736eed57b2c033dce1530f
diff --git a/app-portage/g-octave/g-octave-0.3.ebuild b/app-portage/g-octave/g-octave-0.3.ebuild
deleted file mode 100644
index 8ba64fe5b..000000000
--- a/app-portage/g-octave/g-octave-0.3.ebuild
+++ /dev/null
@@ -1,79 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit distutils
-
-MY_PV="1278111487"
-INFO_REV="1"
-#PATCHES_REV="1"
-
-DESCRIPTION="A tool that generates and installs ebuilds for Octave-Forge"
-HOMEPAGE="http://g-octave.rafaelmartins.eng.br/"
-
-SRC_URI="http://soc.dev.gentoo.org/~rafaelmartins/g-octave/releases/${P}.tar.gz
- http://soc.dev.gentoo.org/~rafaelmartins/g-octave/db/octave-forge-${MY_PV}.db.tar.gz
- http://soc.dev.gentoo.org/~rafaelmartins/g-octave/db/info-${MY_PV}-${INFO_REV}.json"
- #http://soc.dev.gentoo.org/~rafaelmartins/g-octave/db/patches-${MY_PV}-${PATCHES_REV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="svn test"
-
-DEPEND="( >=dev-lang/python-2.6 <dev-lang/python-3 )"
-RDEPEND="${DEPEND}
- svn? ( dev-python/pysvn )
- || ( >=sys-apps/portage-2.1.7[-python3] <sys-apps/portage-2.1.7 )"
-
-PYTHON_MODNAME="g_octave"
-
-src_unpack() {
- unpack ${P}.tar.gz
-}
-
-src_prepare() {
- distutils_src_prepare
- sed -i -e 's/^has_fetch.*$/has_fetch = False/' scripts/g-octave \
- || die 'failed to patch the g-octave main script'
- if ! use svn; then
- rm -rf g_octave/svn/ || die 'failed to remove the Subversion stuff.'
- sed -i -e '/g_octave.svn/d' -e '/pysvn/d' setup.py \
- || die 'failed to remove the SVN stuff from setup.py'
- fi
-}
-
-src_install() {
- distutils_src_install
- dohtml ${PN}.html
- doman ${PN}.1
-}
-
-src_test() {
- PYTHONPATH=. scripts/run_tests.py || die "test failed."
-}
-
-pkg_postinst() {
- distutils_pkg_postinst
- elog
- elog 'To be able to use g-octave with the shipped package database, please'
- elog 'edit your configuration file, clean your db directory and run:'
- elog " emerge --config =${PF}"
- elog
- elog 'Please install the package manager that you want to use before run g-octave'
- elog
-}
-
-pkg_config() {
- local db="$(g-octave --config db)"
- mkdir -p "${db}"
- elog "Copying g-octave database files to: ${db}"
- cp "${DISTDIR}/octave-forge-${MY_PV}.db.tar.gz" "${db}/" \
- || die "failed to copy octave-forge-${MY_PV}.db.tar.gz"
- cp "${DISTDIR}/info-${MY_PV}-${INFO_REV}.json" "${db}/" \
- || die "failed to copy info-${MY_PV}-${INFO_REV}.json"
- #cp "${DISTDIR}/patches-${MY_P}-${PATCHES_REV}.tar.gz" "${db}/" \
- # || die "failed to copy patches-${MY_P}-${PATCHES_REV}.tar.gz"
-}
diff --git a/app-portage/g-octave/g-octave-0.4.ebuild b/app-portage/g-octave/g-octave-0.4.ebuild
new file mode 100644
index 000000000..ada8432d9
--- /dev/null
+++ b/app-portage/g-octave/g-octave-0.4.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+SUPPORT_PYTHON_ABIS="1"
+PYTHON_DEPEND="*:2.6"
+
+DB_COMMIT="cd6b664df376d50455efc19ad23a1463484f81f7"
+DB_COMMIT_ID="cd6b664"
+DB_DIR="rafaelmartins-${PN}-db-${DB_COMMIT_ID}"
+
+inherit distutils
+
+DESCRIPTION="A tool that generates and installs ebuilds for Octave-Forge"
+HOMEPAGE="http://www.g-octave.org/"
+
+SRC_URI="http://www.g-octave.org/releases/${P}.tar.gz
+ http://github.com/rafaelmartins/${PN}-db/tarball/${DB_COMMIT} -> ${PF}-db.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+DEPEND="doc? ( >=dev-python/sphinx-1.0 )"
+RDEPEND="sys-apps/portage"
+
+PYTHON_MODNAME="g_octave"
+
+src_prepare() {
+ distutils_src_prepare
+ sed -i -e 's/^has_fetch.*$/has_fetch = False/' scripts/g-octave \
+ || die 'failed to patch the g-octave main script'
+}
+
+src_compile() {
+ distutils_src_compile
+ if use doc; then
+ emake -C docs html
+ fi
+}
+
+src_install() {
+ distutils_src_install
+ dohtml ${PN}.html
+ doman ${PN}.1
+ if use doc; then
+ mv docs/_build/{html,sphinx}
+ dohtml -r docs/_build/sphinx
+ fi
+}
+
+src_test() {
+ testing() {
+ PYTHONPATH="build-${PYTHON_ABI}/lib" "$(PYTHON)" \
+ scripts/run_tests.py || die 'test failed.'
+ }
+ python_execute_function testing
+}
+
+pkg_postinst() {
+ distutils_pkg_postinst
+ elog
+ elog 'To be able to use g-octave with the shipped package database, please'
+ elog 'edit your configuration file, clean your db directory and run:'
+ elog " emerge --config =${PF}"
+ elog
+ elog "If you are upgrading from =${PN}-0.3, please read this:"
+ elog 'http://doc.g-octave.org/0.4/upgrading/#from-0-3-to-0-4'
+ elog
+ elog 'Please install the package manager that you want to use before run g-octave'
+ elog
+}
+
+pkg_config() {
+ local db="$(g-octave --config db)"
+ mkdir -p "${db}"
+ einfo "Extracting g-octave database files to: ${db}"
+ tar -xzf "${DISTDIR}/${PF}-db.tar.gz" -C "${db}" || die 'tar failed.'
+ rm -rf "${db}"/{patches,octave-forge,info.json,timestamp}
+ mv -f "${db}/${DB_DIR}"/* ${db} || die 'mv failed.'
+ rm -rf "${db}/${DB_DIR}"
+}
diff --git a/app-portage/g-octave/metadata.xml b/app-portage/g-octave/metadata.xml
index 101f90d23..bfc62e668 100644
--- a/app-portage/g-octave/metadata.xml
+++ b/app-portage/g-octave/metadata.xml
@@ -14,11 +14,5 @@
handle patches to the packages automatically. The command line interface
tries to be very similar to the interface of the emerge tool.
</longdescription>
- <use>
- <flag name="svn">
- Adds support to the installation of packages from the octave-forge
- SVN repository.
- </flag>
- </use>
</pkgmetadata>